Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84695 - eepro100 breaks wake-on-lan on shutdown
Summary: eepro100 breaks wake-on-lan on shutdown
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 17:52 UTC by Peter Bieringer
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:33 UTC


Attachments (Terms of Use)

Description Peter Bieringer 2003-02-20 17:52:31 UTC
Description of problem:
After shutdown the host, the on-board NIC looses power (detected by no more lightended Link LED). Host cannot be waked up by magic cookie.

Hardware:
Mainboard ASUS P2B-LS with onBoard NIC:

00:07.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 05)
        Subsystem: Intel Corp. 82558 10/100 with Wake on LAN
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min, 14000ns max), cache line size 08
        Interrupt: pin A routed to IRQ 7
        Region 0: Memory at e5000000 (32-bit, prefetchable) [size=4K]
        Region 1: I/O ports at b800 [size=32]
        Region 2: Memory at e2800000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled] [size=1M]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


Version-Release number of selected component (if applicable):
Kernel 2.4.18-10 with module e100 (working afair)
Kernel 2.4.18-24.7.x with module eepro100 (causing trouble)
Vanilla 2.4.20 with module eepro100 (causing trouble)
Vanilla 2.4.20 with module e100 (working well)


How reproducible:
Always.


Steps to Reproduce:
Use eepro100 module of upper "trouble" kernel versions, perform a shutdown and watch the LEDs (LED adaptor required) and try wake-on-lan
    
Actual results:
NIC power is completly switched off, no chance to wake-up host

Expected results:
NIC power on wake-on-lan standby (like e100 module or e.g. Win98 does)

Additional info:
Pls. include e100 module in further kernel RPMs until this issue is fixed.

Comment 1 Bugzilla owner 2004-09-30 15:40:33 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.